window._site.forumUser = "";
$(document).ready( function () {
	window._site.comments( $('div.content div.comments'), [{"id":"6833","username":"Tracy Logan","comment":"<p>For those of us using Buttons to export as Excel, PDF, etc., it turns out to be delightfully easy to export the raw data while using this Ellipsis plugin for normal display:<\/p>\n\n<p>Just add <code>exportOptions: { orthogonal: 'export' }<\/code> to the Buttons definitions (as shown in <a href=\"https:\/\/datatables.net\/extensions\/buttons\/examples\/html5\/outputFormat-orthogonal.html\">formatting Button output data<\/a>).<\/p>\n\n<p>That tells the Buttons to use <code>export<\/code> for the render type (instead of the default <code>display<\/code>), which will export the raw data (since the plugin returns raw data for any render type other than <code>display<\/code>).<\/p>\n\n<p>One caveat:  Any other rendering functions that act only upon render type <code>display<\/code> will likewise behave differently with render type <code>export<\/code> (typically returning the raw data).  If you want the same behavior for both render types, you'll need to ensure they act on both <code>display<\/code> and <code>export<\/code> (often as easy as adding a fall-through case to a switch statement, or using an alternate if statement).<\/p>\n","created":"16:46, Fri 13th Oct 2023","parent":null,"version":"1.13.6","children":[]}] );
} );window._site.page = "plug-ins\/dataRender\/ellipsis";

$(document).ready( function () {
	window._site.dynamicLoaded();
} );

window._site.csrfToken = 'e3fdd6abbbd541cd6bf6ec546e5749d0b03aa15ccb5c2629';


function dtAds() {
	var loaded = false;
	var headerAd = true;

	if (window.ethicalads) {
		ethicalads.wait.then(function (placements) {
			if (headerAd) {
				$('div.fw-header').addClass('ad');
			}

			if (! placements.length) {
				$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
			}
		});
	}
	else {
		$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
	}

	var run = function () {
		if (! loaded && $(window).width() >= 860) {
			if (window.ethicalads) {
				ethicalads.load();
				loaded = true;
			}
		}
	}

	if ($('div.page-nav').length && $('div.page-nav').is(':visible')) {
		$('div.nav-ad').children()
			.attr('id', 'ad-fixed-nav')
			.prependTo('div.page-nav');
		headerAd = false;
	}
	else if ($('div.fw-sidebar').length) {
		$('div.nav-ad').children()
			.attr('id', 'ad-forum-nav')
			.prependTo('div.fw-sidebar div.sidebar');
		headerAd = false;
		return; // disable
	}
	else {
		$('div.nav-ad').children()
			.attr('id', 'ad-header');
	}

	$(window).on('resize', function (){
		run();
	});

	// Will run immediately if already loaded
	$(document).ready(function() {
		run();
	});
}


